Subject: [rrg] RANGI (~~= HIP?)

From: Robin Whittle <[email-masked]>
Date: Thu, 08 Jan 2009 16:44:49 +1100

Hi Xu,

Thanks for this pointer in the "HIP, Hip-Proxy etc. (Strategy B)" thread:

>> No-one has proposed HIP or anything related to HIP as an
>> actual solution to the routing scaling problem.
>
> Not ture. RANGI (http://www.cse.wustl.edu/~jain/ietf/rangi.htm)

and http://www.cse.wustl.edu/~jain/ietf/ftp/rangi.pdf

> (its old version is HRA )is actually an id/locator split proposal
> related to HIP.  Compared with HIP,  RANGI has many differences on
> the aspects of ID/locator namespace structures, mapping system and
> routing system.

I am only vaguely familiar with HIP and I looked only briefly at the
above slides, but I suggest that your proposal is not sufficiently
like HIP to consider it as part of a HIP discussion.

Do you and your colleagues suggest RANGI as the solution, or one of
the potential solutions, which the RRG should recommend to the IETF
for full-scale development?

If so, then I suggest it would be good to write up an Analysis and
Summary document and link to it from the RRG wiki.

Also, I suggest you either nominate a strategy in Bill's page which
it matches:

  http://bill.herrin.us/network/rrgarchitectures.html

or suggest changes to that page so your proposal fits in somewhere.
I think it is important that Bill's page covers every proposal which
anyone is seriously suggesting the RRG think about.  I think this
should include any idea for a potential solution, even if its
proponents don't think the IETF should start developing it soon.

  - Robin
_______________________________________________
rrg mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/rrg

---

From: Xu Xiaohu <[email-masked]>
Date: Thu, 08 Jan 2009 16:50:15 +0800

Hi Robin,

> I am only vaguely familiar with HIP and I looked only briefly 
> at the above slides, but I suggest that your proposal is not 
> sufficiently like HIP to consider it as part of a HIP discussion.

It's better to discuss map&encap and pure id/loc split approach, but not
focus too much on one concrete proposal:)

> Do you and your colleagues suggest RANGI as the solution, or 
> one of the potential solutions, which the RRG should 
> recommend to the IETF for full-scale development?

Both map&encap and pure id/locator split approach have it's own pros and
cons, and maybe they can be complementary to each other. So I hope both of
them should be recommended and of course be optimized continually, which may
be the rough consensus to be reached finally :)

> If so, then I suggest it would be good to write up an 
> Analysis and Summary document and link to it from the RRG wiki.

Thanks for your kindly suggestion, I will try to write an updated draft.

> Also, I suggest you either nominate a strategy in Bill's page 
> which it matches:
> 
> I think it is important that Bill's page covers every 
> proposal which anyone is seriously suggesting the RRG think 
> about.  I think this should include any idea for a potential 
> solution, even if its proponents don't think the IETF should 
> start developing it soon.

RANGI may be close to Stragety B. I'm not sure since I need some time to
read Bill's page carefully.

Xiaohu